Bug 727603

Summary: Gem rack-test missing on F-15
Product: Red Hat Satellite 6 Reporter: Bryan Kearney <bkearney>
Component: PackagingAssignee: Lukas Zapletal <lzap>
Status: CLOSED CURRENTRELEASE QA Contact: Katello QA List <katello-qa-list>
Severity: low Docs Contact:
Priority: unspecified    
Version: 6.0.0CC: cwelton, gkhachik, lzap
Target Milestone: Unspecified   
Target Release: Unused   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-02-29 13:30:23 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 747354    

Description Bryan Kearney 2011-08-02 14:59:36 UTC
Attempting to install katello on F-15. I  get he following error:

[root@unused ~]# service katello initdb
Could not find rack-test-0.6.0 in any of the sources
Try running `bundle install`.
[root@unused ~]# cd /usr/lib64/


[root@unused katello]# rpm -qa | grep katello
katello-0.1.55-1.git.10.ceb843f.fc15.noarch
katello-cli-0.1.4-1.git.0.edef5b6.fc15.noarch
[root@unused katello]#

Comment 1 Lukas Zapletal 2011-08-09 13:04:50 UTC
The workaround is:

# cd /usr/lib64/katello
# rm -f Gemfile.lock
# bundle install --local
# service katello restart

Comment 2 Lukas Zapletal 2011-08-15 10:13:30 UTC
katello-0.1.63-1 is fine - works smooth on F14, provisioning F15 as well

Comment 3 Lukas Zapletal 2011-08-15 12:05:51 UTC
F14 works, F15 works as well:

[root@dhcp77-194 ~]# service katello restart
Restarting katello (via systemctl):                        [  OK  ]
[root@dhcp77-194 ~]# service katello status
katello is running.
[root@dhcp77-194 ~]# rpm -q rake-test
package rake-test is not installed
[root@dhcp77-194 ~]# rpm -q rack-test
package rack-test is not installed

Comment 7 Bryan Kearney 2012-02-29 13:30:23 UTC
If it is working, i will close it out. Thanks!